/*
 *  io.c
 *  Cbasics
 *
 *  Created by Andrew Pershing on Tue Feb 26 2002.
 *  Copyright (c) 2001 __MyCompanyName__. All rights reserved.
 *
 */

#include "io.h"


void ReadComm(char name[], int *m, double *L, double *dt, 
                double *T){
    /* Opens the command file name and reads several parameters */
  FILE *COMMFIL;
  char msg[150], lin[150];
  
  COMMFIL=fopen(name, "r"); /* Opens file for reading (r) */
  if(COMMFIL==NULL){
    /* Unable to open file.  Return an error */
    sprintf(msg, "Unable to open commfile file: %s", name);
    Error("ReadComm",msg);
  }
  /* File is open, read each line */
  
  fgets(lin, 150, COMMFIL); /*copies line from COMMFIL into string lin */
  sscanf(lin, "%d", m);  /*extracts an integer (%d) and saves in m  */
  fgets(lin, 150, COMMFIL); 
  sscanf(lin, "%lf", L);  /*extracts an double (%lf) and saves in L  */
  fgets(lin, 150, COMMFIL); 
  sscanf(lin, "%lf", dt);  /*extracts an double (%lf) and saves in dt  */
  fgets(lin, 150, COMMFIL); 
  sscanf(lin, "%lf", T);  /*extracts an double (%lf) and saves in T  */
  
  fclose(COMMFIL); /* closes the file */
}


void ReportParams(int m, double L, double dx,
                double dt, double T){
     /* Prints the Parameters */
    printf(" Your parameters are: \n\n");
    printf("          m=%d\n",m);
    printf("          L=%f\n",L);
    printf("         dx=%f\n",dx);
    printf("         dT=%f\n",dt);
    printf("          T=%f\n",T);
}

void PrintArray(char name[], double C[], int m){
    /* Saves the length-m array C in a file called name */
    FILE *FIL;
    char msg[150];
    int j;
    
    FIL=fopen(name,"w");
    if(FIL==NULL){
        /* Unable to open file.  Return an error */
        sprintf(msg, "Unable to open file file: %s", name);
        Error("PrintArray",msg);
    }
    for(j=0;j<m;j++){
        fprintf(FIL, "%d\t%f\n",j,C[j]);
    }
    fclose(FIL);
}

    