#include <stdio.h>
#include "system.h"
#include "io.h"


int main (int argc, const char * argv[]) {

  char commfilename[120];/*Array to hold the name of the commfile */
  int j, m;
  double L, dt, T, dx;
  double *C; /* The * indicates that C is a "pointer"--it will hold a
                memory address rather than a value.  In this case, the
                address will be the start of an array that will be
                created below. */
  
  printf("\n\nWelcome to Cbasics\n\n");
  if(argc > 1) { /* arguments were passed */
    strcpy(commfilename, argv[1]);
  } else { /* no arguments, need to get comm file from user */
    printf("Enter the name of the command file:  ");
    scanf("%s", &commfilename[0]);
        /*SCANF parses the users input as a string (%s) and
          places results in commfilename*/
  }
  
  ReadComm(commfilename, &m, &L, &dt, &T); /* Reads commfile     */
  
  dx=L/(m-1.0);
  ReportParams(m,L,dx,dt,T);                  /* Prints paramaters  */
  
  C=newarray_double(m, "main", "Unable to create C (length m)");
  for(j=0;j<m;j++){
    C[j]=j*dx; /* for now, just store the grid points */
  }
  
  PrintArray("C.txt", C, m);  /* Saves C in a file called C.txt */
  
  return 0;
}

