C***********************************************************************
C***********************************************************************
C
C Main Program for Fbasic
C
C***********************************************************************
C***********************************************************************
      PROGRAM Fbasic
      
C Declaring implicit none forces us to declare variables
      implicit none

C FORTRAN array-lengths are set at compile time, so we
C need to set the max value of m  
		INTEGER MMAX
      PARAMETER(MMAX=20) 
   
C Array to hold the name of the commfile
      CHARACTER*72 commfilename, sub, msg
      integer j, m, CFLEN
      real L, dt, T, dx
      real C(MMAX) 
		
      WRITE(*,*)' '
      WRITE(*,*)'Welcome to Fbasics'
      WRITE(*,*)' '
C
C FORTRAN provides no way of using command line arguments, so 
C we have to ask the user for the file name
C
      WRITE(*,*)'Enter the name of the command file:  '
      READ (*,'(a)') commfilename
      CFLEN=INDEX(commfilename,' ')-1
C Read the commfile
      CALL ReadComm(commfilename, m, L, dt, T)
C
      dx=L/(m-1.0)
C Print the parameters
      CALL ReportParams(m,L,dx,dt,T)
C Check that m<=MMAX
		if(m.gt.MMAX)then
      	sub='main'
         msg='m>MMAX--Change MMAX and recompile'
      	CALL Error(sub,msg)
      endif
C Put grid points into C
      do j=1,m
        C(j)=(j-1)*dx
      enddo
C Save Cs
      CALL PrintArray('C.txt', C, m) 

      STOP
      END        
      
